// TestPreviewView.h : interface of the CTestPreviewView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TESTPREVIEWVIEW_H__330F668C_7402_468E_9FE8_C933F6B27EFD__INCLUDED_)
#define AFX_TESTPREVIEWVIEW_H__330F668C_7402_468E_9FE8_C933F6B27EFD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ExtPreviewView.h"

// For view online profile, report bugs, and download other tons of C++ MFC Sample source codes
// please visit: http://www.ucancode.net

class CTestPreviewView : public CScrollView
{
protected: // create from serialization only
	CTestPreviewView();
	DECLARE_DYNCREATE(CTestPreviewView)

// Attributes
public:
	CTestPreviewDoc* GetDocument();

	void ResyncScrollSizes();       // ensure scroll info is up-to-date

protected:

	int				m_nLogPixelsX;
	int				m_nLogPixelsY;

	BOOL			m_bPrint;
	CRect			rcPrint;

	// Scale current page size.
	BOOL ScaleToDeviceRes(
		// Current device dc.
		CDC* pDC, 
		// Size of new scale.
		CSize& szNew
		);

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTestPreviewView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo = NULL);
	public:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTestPreviewView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CTestPreviewView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnFilePrintPreview();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in TestPreviewView.cpp
inline CTestPreviewDoc* CTestPreviewView::GetDocument()
   { return (CTestPreviewDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TESTPREVIEWVIEW_H__330F668C_7402_468E_9FE8_C933F6B27EFD__INCLUDED_)
